Skip to main content
GET
/
intake
/
{matterId}
/
submissions
/
{submissionId}
Get an intake submission
curl --request GET \
  --url https://api.smokeball.com/intake/{matterId}/submissions/{submissionId} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "formId": "ae4bc84e-b601-4767-9d0f-5d078832418e",
  "formTitle": "Client Intake Form",
  "status": "draft",
  "communicationMethod": "email",
  "matter": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "createdDate": "2026-01-01T00:00:00.0000000+00:00",
  "lastUpdated": "2026-01-01T00:00:00.0000000+00:00",
  "recipient": {
    "contactId": "5d9b8697-8c6f-45dd-b22d-87045ed4df35",
    "email": "client@example.com",
    "name": "Sample Client"
  },
  "responses": [
    {
      "sectionTitle": "Contact Details",
      "groups": [
        {
          "label": "Primary Contact",
          "fields": [
            {
              "type": "text",
              "label": "Phone number",
              "value": "0400 000 000"
            }
          ]
        }
      ],
      "fields": [
        {
          "type": "text",
          "label": "Phone number",
          "value": "0400 000 000"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

submissionId
string
required

The intake submission identifier.

matterId
string
required

Response

OK

Intake submission detail.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
formId
string | null

Id of the form that the submission is for.

Example:

"ae4bc84e-b601-4767-9d0f-5d078832418e"

formTitle
string | null

Title of the form that the submission is for.

Example:

"Client Intake Form"

status
enum<string>

Current status of the submission.

Available options:
draft,
active,
completed,
cancelled
Example:

"draft"

communicationMethod
enum<string>

How the form was sent.

Available options:
email,
communicate,
embed,
internalUse,
document
Example:

"email"

matter
object

Link to matter that the submission is associated with.

createdDate
string<date-time>

When the submission was created.

Example:

"2026-01-01T00:00:00.0000000+00:00"

lastUpdated
string<date-time>

When the submission was last updated.

Example:

"2026-01-01T00:00:00.0000000+00:00"

recipient
object

Recipient that the submission is sent to.

responses
object[] | null

Ordered list of sections with submitted values.